require_relative 'check'
module Remon
  class ProcCheck < Check

    attr_reader :name
    def initialize(name, pr)
      raise "no proc passed" if not pr.is_a?(Proc)
      @name = name
      @pr = pr
      @mutex = Mutex.new
    end

    def run
      instance_eval &@pr
    end

    def check_name
      @name
    end

    def to_s
      "<proc:#{@name}>"
    end

  end
end
